GET api/PBI_role/role/{roleId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| roleId | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PBI_RoleViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| code | string |
Required |
|
| customer_ID | globally unique identifier |
None. |
|
| customerName | string |
None. |
|
| id | globally unique identifier |
None. |
|
| names | Dictionary of string [key] and string [value] |
Required |
|
| permissions | Collection of PBI_PermissionsViewModel |
Required |
|
| site_ID | globally unique identifier |
Required |
|
| siteName | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": "sample string 2",
"customer_ID": "125e1e3f-2009-4360-a732-a56c0f6d9357",
"customerName": "sample string 4",
"id": "627213f0-1cec-433c-a7ca-d62c86fda630",
"names": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"permissions": [
{
"id": "f31f30f3-b237-4072-954c-9f5ad28a2c29",
"active": true,
"foreign_ID": "d0bb38c6-d691-4000-909f-5f2d41ffec8e",
"foreign_Label": "sample string 3",
"type": 1
},
{
"id": "f31f30f3-b237-4072-954c-9f5ad28a2c29",
"active": true,
"foreign_ID": "d0bb38c6-d691-4000-909f-5f2d41ffec8e",
"foreign_Label": "sample string 3",
"type": 1
}
],
"site_ID": "962b2f2e-23f7-488f-97d4-8fc3351416f7",
"siteName": "sample string 8"
}
application/xml, text/xml
Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<customerName>sample string 4</customerName>
<customer_ID>125e1e3f-2009-4360-a732-a56c0f6d9357</customer_ID>
<id>627213f0-1cec-433c-a7ca-d62c86fda630</id>
<names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</names>
<permissions>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>d0bb38c6-d691-4000-909f-5f2d41ffec8e</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>f31f30f3-b237-4072-954c-9f5ad28a2c29</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>d0bb38c6-d691-4000-909f-5f2d41ffec8e</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>f31f30f3-b237-4072-954c-9f5ad28a2c29</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
</permissions>
<siteName>sample string 8</siteName>
<site_ID>962b2f2e-23f7-488f-97d4-8fc3351416f7</site_ID>
</PBI_RoleViewModel>